<?php

namespace Modules\User\Models;


use App\Models\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Modules\User\Traits\BelongsToUser;

class UserIdentityCoupon extends Model
{
    use BelongsToUser;

    public function identity(): BelongsTo
    {
        return $this->belongsTo(Identity::class, 'identity_id');
    }

    public function sourceUser(): BelongsTo
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
